<form *ngIf="conhecimento" name="deleteForm" (ngSubmit)="confirmDelete(conhecimento.id!)">
  <div class="modal-header">
    <h4 class="modal-title" data-cy="conhecimentoDeleteDialogHeading" jhiTranslate="entity.delete.title">Confirme a exclusão</h4>

    <button type="button" class="btn-close" data-dismiss="modal" aria-hidden="true" (click)="cancel()">&times;</button>
  </div>

  <div class="modal-body">
    <jhi-alert-error></jhi-alert-error>
    <p
      id="jhi-delete-conhecimento-heading"
      jhiTranslate="matrixApp.conhecimento.delete.question"
      [translateValues]="{ id: conhecimento.id }"
    >
      Tem certeza de que deseja excluir Conhecimento {{ conhecimento.id }}?
    </p>
  </div>

  <div class="modal-footer">
    <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="cancel()">
      <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancelar</span>
    </button>

    <button id="jhi-confirm-delete-conhecimento" data-cy="entityConfirmDeleteButton" type="submit" class="btn btn-danger">
      <fa-icon icon="times"></fa-icon>&nbsp;<span jhiTranslate="entity.action.delete">Excluir</span>
    </button>
  </div>
</form>
